import request from '@/utils/request'

// 查询托盘信息列表
export function listBasePalletInfo(query) {
  return request({
    url: '/mes/basePalletInfo/list',
    method: 'get',
    params: query
  })
}

// 查询托盘信息详细
export function getBasePalletInfo(palletInfoId) {
  return request({
    url: '/mes/basePalletInfo/' + palletInfoId,
    method: 'get'
  })
}

// 新增托盘信息
export function addBasePalletInfo(data) {
  return request({
    url: '/mes/basePalletInfo',
    method: 'post',
    data: data
  })
}

// 修改托盘信息
export function updateBasePalletInfo(data) {
  return request({
    url: '/mes/basePalletInfo',
    method: 'put',
    data: data
  })
}

// 删除托盘信息
export function delBasePalletInfo(palletInfoId) {
  return request({
    url: '/mes/basePalletInfo/' + palletInfoId,
    method: 'delete'
  })
}
